Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.wsrp.consumer
Enum RegistrationProperty.Status

    java.lang.Object
      java.lang.Enum<RegistrationProperty.Status>
          org.jboss.portal.wsrp.consumer.RegistrationProperty.Status

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RegistrationProperty.Status>

Enclosing class:
  RegistrationProperty

    public static enum RegistrationProperty.Status

extends java.lang.Enum<RegistrationProperty.Status>

Enum Constant Summary
`INEXISTENT`
`INVALID_VALUE`
`MISSING`
`MISSING_VALUE`
`UNCHECKED_VALUE`
`VALID`

Method Summary
`java.lang.String` | `getLocalizationKey()`
`static RegistrationProperty.Status` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RegistrationProperty.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INEXISTENT

    public static final RegistrationProperty.Status INEXISTENT

### MISSING

    public static final RegistrationProperty.Status MISSING

### MISSING_VALUE

    public static final RegistrationProperty.Status MISSING_VALUE

### UNCHECKED_VALUE

    public static final RegistrationProperty.Status UNCHECKED_VALUE

### INVALID_VALUE

    public static final RegistrationProperty.Status INVALID_VALUE

### VALID

    public static final RegistrationProperty.Status VALID

Method Detail

### values

    public static final RegistrationProperty.Status[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RegistrationProperty.Status c : RegistrationProperty.Status.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RegistrationProperty.Status valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getLocalizationKey

    public java.lang.String getLocalizationKey()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD